 <?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WK_Finance 
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="preloader">
  <div id="status">
     <div class="spinner">
      <div class="rect1"></div>
      <div class="rect2"></div>
      <div class="rect3"></div>
      <div class="rect4"></div>
      <div class="rect5"></div>
    </div>
  </div>
</div>
<?php
    if (function_exists('wp_body_open')) {
        wp_body_open();
    }
    ?>
<div id="page" class="site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'wk-finance' ); ?></a>
    <?php if(!is_page_template( 'blank-page.php' ) && !is_page_template( 'blank-page-with-container.php' )): ?>
    <header id="masthead" class="site-header" role="banner">
        <div class="container">
            <nav id="pageContainerMainNavMobile" class="navbar navbar-expand-lg p-0 navbar-light text-white">
                <div class="navbar-brand">
      <!-- Your site title as branding in the menu -->
           <?php
            the_custom_logo();
            if ( is_front_page() && is_home() ) :
                ?>
                <a class="site-title" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                <?php
                    else : ?>
                        <a class="site-title" href="<?php echo esc_url( home_url( '/' )); ?>"><?php esc_url(bloginfo('name')); ?></a>
                    <?php endif; 

                       if ( get_theme_mod( 'show_site_description', 1 ) ) {
                            $description = get_bloginfo( 'description', 'display' );
                            if ( $description || is_customize_preview() ) : ?>
                                <p class="site-description"><?php echo esc_html( $description ); ?></p>
                            <?php
                            endif;
                        }
                    ?>
                </div>     

                    <button class="navbar-toggler" type="button" data-bs-toggle="offcanvas" data-bs-target="#navbarNavOffcanvas" aria-controls="navbarNavOffcanvas" aria-expanded="false" aria-label="<?php esc_attr_e( 'Toggle navigation', 'wk-finance' ); ?>">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="offcanvas offcanvas-start bg-primary" tabindex="-1" id="navbarNavOffcanvas">

            <div class="offcanvas-header justify-content-end border-bottom">
                <span class="h5 mb-0 ms-3 position-absolute start-0 "><?php esc_html_e('Menu', 'wk-finance'); ?></span>
                <button type="button" class="lead btn-close btn-close-white text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div><!-- .offcancas-header -->

        <!-- The WordPress Menu goes here -->
                <?php
                wp_nav_menu(array(
                'theme_location'  => 'primary',
                'container'       => 'div',
                'container_id'    => 'main-nav',
                'container_class' => 'offcanvas-body justify-content-end',
                'menu_id'         => false,
                'menu_class'      => 'nav navbar-nav m-right-auto',
                'depth'           => 5,
                'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                'walker'          => new wp_bootstrap_navwalker()
                ));
                ?>
            </nav>
        </div>
</header> 
        <div class="overlay jarallax">
         <div class="container">
<?php breadcrumb_trail(array('container' => 'nav', 'show_on_front' => false, 'home' => false, 'labels' => array('home' => __('', 'wk-finance'))));?>
         </div>
</div>
    <div id="content" class="site-content">
        <div class="container">
            <div class="row">
                <?php endif; ?>
